<?php
/*
Скрипт ICQ пирамиды для JohnCMS 3.0
Автор: Максим (simba)
ICQ: 61590077
Сайт: http://symbos.su http://wapmastera.ru
R866920725287
Z117468354234
*/

define('_IN_JOHNCMS', 1);
require_once ("../incfiles/core.php");
$textl = 'ICQ Пирамида!';
$headmod = "simba_icq";
require_once ("../incfiles/head.php");
$act = isset($_GET['act']) ? $_GET['act'] : '';
$sort = isset($_GET['sort']) ? $_GET['sort'] : "";

switch ($act){
    
    ////// Полный снос всей базы номеров //////
    case 'clean':
    if($rights){
    echo'<div class="phdr">Очистка!</div>';
    mysql_query("TRUNCATE TABLE `piramidka`");
    echo'<div class="rmenu">Пирамида успешно очищена!</div>';
    }else{
    echo'<div class="rmenu">В доступе отказано!</div>'; 
    }
    echo'<div class="menu"><a href="index.php">В список</a></div>';
    break;
    
    ///// Удаление по одному ///////
    case 'del':
    if($rights){
    $id = intval($_GET['id']);
    echo'<div class="phdr">Удаление номера!</div>';
    mysql_query("DELETE FROM `piramidka` WHERE `id` = '".$id."'");
       echo'<div class="gmenu">Успешно удалено</div>';
    }else{
    echo'<div class="rmenu">В доступе отказано!</div>'; 
    }
    echo'<div class="menu"><a href="index.php">Просмотр номеров</a></div>';
    break;
    
    ////// Массовое удаление //////
    case 'massdel':
    if($rights){
    echo'<div class="phdr">Удаление номеров!</div>';
    foreach($_POST['fil'] as $fill){
    mysql_query("DELETE FROM `piramidka` WHERE `id` = '".$fill."'");
    }
    echo'<div class="rmenu">Выбранные номера успешно удалены!</div>';
    }else{
    echo'<div class="rmenu">В доступе отказано!</div>'; 
    }
    break;
    
    ////// Добавление номера ////////
    case 'add':
if (isset($_POST['submit'])) {
    $reg_kod = isset($_POST['kod']) ? trim($_POST['kod']) : '';
    $uin = isset($_POST['uin']) ? intval(trim($_POST['uin'])) : '';
    $name = isset($_POST['name']) ? check(trim($_POST['name'])) : '';
    $city = isset($_POST['city']) ? check(trim($_POST['city'])) : '';
    $kom = isset($_POST['kom']) ? check(trim($_POST['kom'])) : '';
    $error = false;
    if(!$uin)
    $error = $error . 'Не введён UIN!<br/>';
    if (mb_strlen($uin) < 5 || mb_strlen($uin) > 10)
    $error = $error . 'Короткий или длинный UIN!<br/>';
    if(!$city)
    $error = $error . 'Не введён город!<br/>';
    if(!$name)
    $error = $error . 'Не введено имя!<br/>';
    if (empty($reg_kod) || mb_strlen($reg_kod) < 4)
        $error = $error . 'Не введён проверочный код!<br/>';
    elseif ($reg_kod != $_SESSION['code'])
        $error = $error . 'Проверочный код неверен!<br/>';
    unset($_SESSION['code']);
    
    $req = mysql_query("select * from `piramidka` where `uin`='" . $uin . "';");
    if (mysql_num_rows($req) != 0) {
        $error = 'Этот UIN уже был добавлен ранее!<br/>';
    }
    if(!$error){
      mysql_query("INSERT INTO `piramidka` SET
        `uin` = '" .$uin. "',
        `name` = '" . $name . "',
        `city` = '" . $city . "',
        `date` = '".$realtime."',
        `kom` = '".$kom."',
        `ip` = '".$ipl."',
        `ua` = '".mysql_real_escape_string($agn)."'");   
    echo'<div class="menu">Ваш номер ICQ успешно добавлен!</div>';
    }else{
        echo '<div class="rmenu"><p><b>ОШИБКА!</b><br />' . $error . '</p></div>';
    echo'<div class="menu"><a href="index.php?act=add">Попробовать снова</a></div>';
    }
    
    }else{
    echo '<form action="index.php?act=add" method="post"><div class="gmenu">';
    echo '<b>UIN:</b><br/><input type="text" name="uin" maxlength="9" /></div>';
    echo '<div class="menu">Имя:<br/><input type="text" name="name" maxlength="20" /><br />';
    echo '<small>Макс. 20 символов.</small></div>';
    echo '<div class="menu">Город:<br/><input type="text" name="city" maxlength="20" /><br />';
    echo '<small>Макс. 20 символов.</small>';
    echo 'Комментарий:<br/><textarea rows="3" name="kom"></textarea></div>';
    echo '<div class="gmenu">Если Вы не видите рисунок с кодом, включите поддержку графики в настройках браузера и обновите страницу.<br />';
    echo '<img src="../captcha.php?r=' . rand(1000, 9999) . '" alt="Проверочный код"/><br />';
    echo 'Код с картинки:<br/><input type="text" size="5" maxlength="5"  name="kod"/></div>';
    echo '<div class="bmenu"><input type="submit" name="submit" value="Добавить"/></div></form>';
}
echo'<div class="menu"><a href="index.php">Просмотр номеров</a></div>';
    break;


////// Вывод списка номеров /////
default:
$total = mysql_result(mysql_query("SELECT COUNT(*) FROM `piramidka`"), 0);
if($total > 0){
        if($sort){
        $_SESSION['icqsort'] = $sort;
        }else{
        $sort = isset($_SESSION['icqsort']) ? $_SESSION['icqsort'] : "";
        }
         switch ($sort){
         case "time":
         $zap = mysql_query("SELECT * FROM `piramidka` ORDER BY `date` DESC LIMIT " . $start . "," . $kmess);
         echo'<div class="menu">Сортировка: <a href="index.php?sort=name">Имя</a> | <b>Дата</b> | <a href="index.php?sort=city">Город</a></div>';
         break;
         case "city":
         $zap = mysql_query("SELECT * FROM `piramidka` ORDER BY `city` DESC LIMIT " . $start . "," . $kmess);
         echo'<div class="menu">Сортировка: <a href="index.php?sort=name">Имя</a> | <a href="index.php?sort=time">Дата</a> | <b>Город</b></div>';
         break;
         default:
         $zap = mysql_query("SELECT * FROM `piramidka` ORDER BY `name` ASC LIMIT " . $start . "," . $kmess);
         echo'<div class="menu">Сортировка: <b>Имя</b> | <a href="index.php?sort=time">Дата</a> | <a href="index.php?sort=city">Город</a></div>';
         break;
         }
         if($rights){
         echo '<form action="index.php?act=massdel&amp;" method="post">';
    }
    while ($arr = mysql_fetch_array($zap)) {
        echo ceil(ceil($i / 2) - ($i / 2)) == 0 ? '<div class="list1">' : '<div class="list2">';
            ++$i;
            $date = date("d.m.Y", $arr['date']);
        echo'<img src="http://web.icq.com/whitepages/online?icq=' . $arr['uin'] . '&amp;img=5" width="18" height="18" alt="icq" align="middle"/>&nbsp;<b>'.$arr['uin'].'</b> - '.$date.'<div class="sub">Имя: '.$arr['name'].' - Город: '.$arr['city'].'</div><div class="sub">'.$arr['kom'].'</div>';
        if($rights){
        echo'<div class="sub"><input type="checkbox" name="fil[]" value="' . $arr['id'] . '"/>&nbsp;<a href="index.php?act=del&amp;id='.$arr['id'].'">Удалить</a> | ip: '.long2ip($arr['ip']).' | Browser: '.checkout($arr['ua']).'</div>'; 
            
        }
        echo'</div>';
        }
        if($rights){
        echo "<input type='submit' value='Удалить отмеченные'/></form>";
        }
        echo '<div class="phdr">Всего номеров: ' . $total . '</div>';
    if ($total > $kmess){
        echo'<div class="menu">';
    	echo '' . pagenav('index.php?', $start, $total, $kmess) . '';
    	echo '<form action="index.php" method="get"><input type="text" name="page" size="2"/><input type="submit" value="К странице &gt;&gt;"/></form>';
        echo'</div>';
        }
    echo'<div class="menu"><a href="index.php?act=add">Добавить свой номер</a></div>';
    if($rights){
        echo'<div class="bmenu"><a href="index.php?act=clean">Очистить</a></div>';
    }
}else{
    echo'<div class="rmenu">ICQ номера ещё не добавляли!</div>';
    echo'<div class="menu"><a href="index.php?act=add">Добавить свой номер</a></div>';
}

break;
    }
require_once ("../incfiles/end.php");
?>